Bug 110876 - [CI][DRMTIP]igt@gem_ctx_shared@exec-shared-gtt-(render|default) - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0, error: -28 != 0
Summary: [CI][DRMTIP]igt@gem_ctx_shared@exec-shared-gtt-(render|default) - fail - Fail...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-10 10:56 UTC by Lakshmi
Modified: 2019-08-14 13:57 UTC (History)
1 user (show)

See Also:
i915 platform: G45, ILK
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-06-10 10:56:33 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_302/fi-elk-e7500/igt@gem_ctx_shared@exec-shared-gtt-render.html

Starting subtest: exec-shared-gtt-render
(gem_ctx_shared:1662) ioctl_wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ../lib/ioctl_wrappers.c:609:
(gem_ctx_shared:1662) ioctl_wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_ctx_shared:1662) ioctl_wrappers-CRITICAL: error: -28 != 0
Subtest exec-shared-gtt-render failed.
**** DEBUG ****
(gem_ctx_shared:1662) ioctl_wrappers-DEBUG: Test requirement passed: gem_has_ring(fd, ring)
(gem_ctx_shared:1662) DEBUG: Test requirement passed: gem_can_store_dword(i915, ring)
(gem_ctx_shared:1662) ioctl_wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ../lib/ioctl_wrappers.c:609:
(gem_ctx_shared:1662) ioctl_wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_ctx_shared:1662) ioctl_wrappers-CRITICAL: error: -28 != 0
(gem_ctx_shared:1662) igt_core-INFO: Stack trace:
(gem_ctx_shared:1662) igt_core-INFO:   #0 ../lib/igt_core.c:1509 __igt_fail_assert()
(gem_ctx_shared:1662) igt_core-INFO:   #1 [gem_execbuf+0x44]
(gem_ctx_shared:1662) igt_core-INFO:   #2 ../tests/i915/gem_ctx_shared.c:234 __real_main756()
(gem_ctx_shared:1662) igt_core-INFO:   #3 ../tests/i915/gem_ctx_shared.c:756 main()
(gem_ctx_shared:1662) igt_core-INFO:   #4 ../csu/libc-start.c:344 __libc_start_main()
(gem_ctx_shared:1662) igt_core-INFO:   #5 [_start+0x2a]
****  END  ****
Subtest exec-shared-gtt-render: FAIL (0.167s)
Comment 2 Chris Wilson 2019-06-17 15:12:34 UTC
commit 65500f98e5ec747fda8877ffad40c053b9abdbb2 (HEAD)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jun 17 12:12:30 2019 +0100

    i915/gem_ctx_shared: Check for a large enough hole in the GTT
    
    In the exec-shared-gtt test, we cheekily try to reference an object we
    placed in the GTT in an earlier execbuf (and avoid declaring it in the
    later call). For a global GTT, where there may be existing objects, we
    have to find a hole large enough to fit both and avoid and implicit
    guard pages.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110876
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@linux.intel.com>
Comment 3 CI Bug Log 2019-08-14 13:57:22 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.